Bug 814223 - libreoffice (X >= 3.5.0): DoS (excessive CPU use) in RTF tokenizer by processing certain RTF files
libreoffice (X >= 3.5.0): DoS (excessive CPU use) in RTF tokenizer by process...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120413,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 07:59 EDT by Jan Lieskovsky
Modified: 2015-08-22 02:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 02:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-04-19 07:59:15 EDT
A denial of service flaw was found in the way the LibreOffice RTF Tokenizer used to resolve certain keywords being present in the Rich Text Format (RTF) document. A remote attacker could provide a specially-crafted RTF file, which once opened by a local, unsuspecting LibreOffice tools suite user would lead to excessive CPU usage by the tool used for opening that file.

Upstream bug report:
[1] https://bugs.freedesktop.org/show_bug.cgi?id=48640

Upstream patch (against 3.5 branch):
[2] http://cgit.freedesktop.org/libreoffice/core/commit/?id=51c8c95b2864b49e7bcbd824eacedb5778a758c0&g=libreoffice-3-5

References:
[3] http://didasec.wordpress.com/2012/04/16/libreoffice-3-5-2-2-soffice-exesoffice-bin-memory-corruption/
[4] http://shinnai.altervista.org/exploits/SH-016-20120416.html
[5] http://seclists.org/fulldisclosure/2012/Apr/201
Comment 1 Jan Lieskovsky 2012-04-19 08:19:40 EDT
CVE Request:
[6] http://www.openwall.com/lists/oss-security/2012/04/19/9
Comment 2 Jan Lieskovsky 2012-04-19 08:21:02 EDT
This issue did NOT affect the versions of the openoffice.org package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue did NOT affect the versions of the libreoffice package, as shipped with Fedora release of 15 and 16.

Note You need to log in before you can comment on or make changes to this bug.